Subject: Re: [PATCH v2] ipv6: default IPV6_SIT to m

From: Jakub Kicinski <[email-masked]>
Date: Mon, 4 May 2026 17:09:12 -0700

On Mon, 4 May 2026 17:01:43 +0200 Fernando Fernandez Mancera wrote:
> > Yes, it appears you're right.  I had only tested on ARM.  In that case,
> > perhaps it make sense to instead set this to m in the arm64 defconfig, to
> > preserve the previous situation, but I can also see the value in
> > reducing platform discongruity by letting it change to y on arm64 too.  
> 
> Changing it on arm64 defconfig would make sense to me too. We should 
> probably visit other configs that might be in the same situation. That 
> in my opinion would qualify a net tree fix as you proposed initially.

Right. I think the fix as posted makes sense. Tunnel drivers should 
be =m. If other arches default to =y that's likely an oversight.
Fedora and I suspect all other distros (and "prod kernels") set SIT=m.